Package org.drinkless.tdlib

# Class TdApi.SetAutosaveSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetAutosaveSettings

Enclosing class:
  `TdApi`

public static class TdApi.SetAutosaveSettings extends TdApi.Function<TdApi.Ok>
Sets autosave settings for the given scope. The method is guaranteed to work only after at least one call to getAutosaveSettings.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AutosaveSettingsScope`
  `scope`
  Autosave settings scope.
  `TdApi.ScopeAutosaveSettings`
  `settings`
  New autosave settings for the scope; pass null to set autosave settings to default.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAutosaveSettings()`
  Default constructor for a function, which sets autosave settings for the given scope.
  `SetAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
  Creates a function, which sets autosave settings for the given scope.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### scope

    public TdApi.AutosaveSettingsScope scope
    Autosave settings scope.

  - ### settings

    public TdApi.ScopeAutosaveSettings settings
    New autosave settings for the scope; pass null to set autosave settings to default.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetAutosaveSettings

    public SetAutosaveSettings()
    Default constructor for a function, which sets autosave settings for the given scope. The method is guaranteed to work only after at least one call to getAutosaveSettings.

    Returns `Ok`

  - ### SetAutosaveSettings

    public SetAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)
    Creates a function, which sets autosave settings for the given scope. The method is guaranteed to work only after at least one call to getAutosaveSettings.

    Returns `Ok`

    Parameters:
      `scope` - Autosave settings scope.
      `settings` - New autosave settings for the scope; pass null to set autosave settings to default.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR